North America

Earlier in our docs is an overview of our Know Your Business here. Now, this page is focused specifically on eKYB Advanced in US. eKYB in US leverages the government sources of truth to validate the legitimacy of businesses, including their taxID (9 digit EIN), business name, business address, along with UBOs.

Integration

User input flow

eKYB user input flow example

Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

KYB module configuration

Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing an KYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

KYB request

POST /omni/externalVerification/ekyb

This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

Notes:

The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

Not all address fields can be blank in the request. At least one field from street, houseNo, addressLine2, city, state and postalCode must have a valid input.

✍️

Business Tax ID in US

Business taxID supports the following:

JSX

REQUEST FORMAT EXAMPLE
{
  "plugins" : ["ekyb"], //required field
  "businessName" : "Delta International Inc.", //required field
  "street" : "SW 72nd Ave",
  "houseNo" : "4856",
  "addressLine2" : "",
  "city" : "MIAMI",
  "state" : "FL",
  "postalCode" : "33155",
  "country" : "US", //required field
  "taxId" : "XXXXXXXXX", //required field
  "uboNames" : ["Jose A Santos"]
}

Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

Note: We recommend leveraging the sub_label field within each API response key to support more granular, risk-based decisioning.

JSX

RESPONSE EXAMPLE
{
    "kyb": [\
        {\
            "key": "name",\
                "status": "success",\
            "sub_label": "Verified",\
            "message": "Match identified to the submitted Business Name"\
        },\
        {\
            "key": "tin",\
            "status": "success",\
            "sub_label": "Verified",\
            "message": "The IRS has a record for the submitted TIN and Business Name combination"\
        },\
        {\
            "key": "address_verification",\
            "status": "success",\
            "sub_label": "Verified",\
            "message": "Match identified to the submitted Office Address"\
        },\
        {\
            "key": "registrationStatus",\
            "sub_label": "Active"\
        },\
        {\
            "key": "postalCodeMatch",\
            "sub_label": "Verified"\
        },\
        {\
            "key": "cityMatch",\
            "sub_label": "Verified"\
        },\
        {\
            "key": "ubo_name_match",\
            "status": "success",\
            "sub_label": "Verified"\
        },\
     ]
}
US API Key Status Definition
name Verified, Similar Match, Unverified Submitted business name is verified, approximate match, or unverified against the business name associated with the tax ID in the government database.
Note: Our API will be updated to return 'Approximate Match' instead of 'Similar Match'. ETA - 4/30/2026
tin Verified, Unverified Submitted Tax ID is verified or not verified in the government database.
address_verification Verified, Similar Match, Unverified Submitted address is verified, approximate match, or unverified against the address associated with the tax ID in the government database.
Note: Our API will be updated to return 'Approximate Match' instead of 'Similar Match'. ETA - 4/30/2026
cityMatch Verified,
Approximate Match,
Unverified
Submitted city is verified, approximate match, or unverified against the city associated with the tax ID in the government database.
postalCodeMatch Verified, Unverified Submitted postal code is verified, approximate match, or unverified against the address associated with the tax ID in the government database.
ubo_name_match Verified, Approximate Match, Unverified Submitted UBO is an exact match against the UBO associated with the Business taxID in the government database.
registrationStatus Active, Inactive, Unknown Active: This occurs if the registration status of the business is active in some or all states with SOS filings.
Inactive: This occurs if the registration status of the business is suspended or inactive in all states with SOS filings.
Unknown: This occurs if the registration status of the business is not available.

Learning more about Approximate Match : Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.

Tax ID Verification Messages

Tax ID Type Condition Message
9 digit EIN When TIN is found in IRS and valid The IRS has a record for the submitted TIN and business name combination.
9 digit EIN When TIN is found in IRS but not associated with the business name submitted We believe the submitted TIN is associated with a different business name.
9 digit EIN When TIN is not found in IRS The IRS does not have a record for the submitted TIN and business name combination.
State issued tax ID When tax ID and business name are associated with each other The Tax ID provided is associated with the Business Name.
State issued tax ID When tax ID and business name are not associated with each other We could not determine a record for the submitted TIN and business name combination.
State issued tax ID When both tax ID and business name could not be found We could not find a business with the provided name or tax ID.

KYB error responses

Please refer to error response to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

Single Session Dashboard Results

They are available on Single Session view under Business tab

eKYB results

Differences between Advanced and Advanced+ for US eKYB

The main difference is around the responses you will get from both requests. Advanced does not include Address Deliverability, Address Property Type, or the full list of UBOs associated to the business. Only Advanced+ will include this information.